Bug 1382916 - 64-bit interface version of openblas is not using 64-bit integers
Summary: 64-bit interface version of openblas is not using 64-bit integers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openblas
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1350257
TreeView+ depends on / blocked
 
Reported: 2016-10-08 10:05 UTC by Antonio
Modified: 2017-02-20 22:17 UTC (History)
3 users (show)

Fixed In Version: openblas-0.2.19-2.fc25 openblas-0.2.19-2.fc24 openblas-0.2.19-2.fc23 openblas-0.2.19-3.el7 openblas-0.2.19-2.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-20 23:49:11 UTC


Attachments (Terms of Use)

Description Antonio 2016-10-08 10:05:40 UTC
Description of problem:
'gfortran' does not use default optimization flags + '-fdefault-integer-8' that's required for a correct build of 64bit int openblas.

make[2]: Entering directory '/builddir/build/BUILD/openblas-0.2.18/serial64/lapack-netlib/INSTALL'
gfortran -O0 -frecursive -fPIC -c slamch.f -o slamch.o
gfortran -O0 -frecursive -fPIC -c dlamch.f -o dlamch.o
gfortran -frecursive -fPIC -c lsame.f -o lsame.o
gfortran -frecursive -fPIC -c lsametst.f -o lsametst.o
gfortran -frecursive -fPIC -c slamchtst.f -o slamchtst.o
gfortran -frecursive -fPIC -c dlamchtst.f -o dlamchtst.o
gfortran -frecursive -fPIC -c second_INT_ETIME.f -o second_INT_ETIME.o
gfortran -frecursive -fPIC -c secondtst.f -o secondtst.o
gfortran -frecursive -fPIC -c dsecnd_INT_ETIME.f -o dsecnd_INT_ETIME.o
gfortran -frecursive -fPIC -c dsecndtst.f -o dsecndtst.o
gfortran -frecursive -fPIC -c tstiee.f -o tstiee.o
gfortran -frecursive -fPIC -c ilaver.f -o ilaver.o
gfortran -frecursive -fPIC -c LAPACK_version.f -o LAPACK_version.o
...

This (presumed) issue comes out during investigation of failed tests in PETSc package building, linked against 'libopenblas64' libraries.

Version-Release number of selected component (if applicable):
openblas-0.2.18-5

Additional info:
http://lists.mcs.anl.gov/pipermail/petsc-dev/2016-October/019843.html

Comment 1 Antonio 2016-10-13 17:48:23 UTC
Susi,

please, can you let us know if you can see this issue within a brief span of time?

Thanks.

Comment 2 Susi Lehtola 2016-10-13 18:57:30 UTC
Patches are welcome.

Comment 3 Antonio 2016-10-13 21:39:52 UTC
(In reply to Susi Lehtola from comment #2)
> Patches are welcome.

I don't know the reason to not use default flags with gfortran; i have just added them:

http://copr-dist-git.fedorainfracloud.org/cgit/sagitter/petsc/openblas.git/tree/openblas.spec?id=2a013c1c72470b736fa218e2f5b7aa1d373ca900

Comment 4 Antonio 2016-10-20 09:15:47 UTC
openblas-0.2.19-1 still does not compile with optflags; openblas-debuginfo
does not have any debug symbols for the fortran sources.

Is there any reason avoiding optimization?

Comment 5 Susi Lehtola 2016-10-20 17:38:38 UTC
(In reply to Susi Lehtola from comment #2)
> Patches are welcome.

Patches are still welcome.

Comment 6 Fedora Update System 2016-10-20 20:48:12 UTC
openblas-0.2.19-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-85b9f32463

Comment 7 Susi Lehtola 2016-10-20 20:59:48 UTC
Well, after eyeing through the modified spec file, I see there was one other change.

Comment 8 Fedora Update System 2016-10-20 21:23:27 UTC
openblas-0.2.19-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2bc9a4c84e

Comment 9 Fedora Update System 2016-10-20 21:58:30 UTC
openblas-0.2.19-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-055bf040ab

Comment 10 Fedora Update System 2016-10-20 22:56:15 UTC
openblas-0.2.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-440bce2f9f

Comment 11 Fedora Update System 2016-10-21 16:49:55 UTC
openblas-0.2.19-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7dc950e30a

Comment 12 Fedora Update System 2016-10-22 02:24:43 UTC
openblas-0.2.19-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3eae4b8f02

Comment 13 Fedora Update System 2016-10-22 03:54:04 UTC
openblas-0.2.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e017cd4452

Comment 14 Fedora Update System 2016-10-22 08:17:50 UTC
openblas-0.2.19-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-20ab68abd9

Comment 15 Fedora Update System 2016-10-22 11:54:00 UTC
openblas-0.2.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-479a645859

Comment 16 Fedora Update System 2016-10-26 00:57:04 UTC
openblas-0.2.19-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-10-30 17:53:47 UTC
openblas-0.2.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-10-31 03:19:46 UTC
openblas-0.2.19-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-11-03 23:16:50 UTC
openblas-0.2.19-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9da5520b9e

Comment 20 Fedora Update System 2016-11-04 17:23:32 UTC
openblas-0.2.19-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9da5520b9e

Comment 21 Fedora Update System 2016-11-20 23:49:11 UTC
openblas-0.2.19-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-02-20 22:17:59 UTC
openblas-0.2.19-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.